NumberFormat.Style (Java SE 17 & JDK 17)
Description: declaration: module: java.base, package: java.text, class: NumberFormat, enum: Style
Keywords: java.text.NumberFormat.Style class

Module java.base
Package java.text

# Enum Class NumberFormat.Style

java.lang.Object
java.lang.Enum<NumberFormat.Style>
java.text.NumberFormat.Style

All Implemented Interfaces:
  `Serializable`, `Comparable<NumberFormat.Style>`, `Constable`

Enclosing class:
  NumberFormat

public static enum NumberFormat.Style extends Enum<NumberFormat.Style>
A number format style.

`Style` is an enum which represents the style for formatting a number within a given `NumberFormat` instance.

Since:
  12
See Also:
  - `CompactNumberFormat`
  - `NumberFormat.getCompactNumberInstance(Locale, Style)`

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LONG`
  The `LONG` number format style.
  `SHORT`
  The `SHORT` number format style.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NumberFormat.Style`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static NumberFormat.Style[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SHORT

    public static final NumberFormat.Style SHORT
    The `SHORT` number format style.

  - ### LONG

    public static final NumberFormat.Style LONG
    The `LONG` number format style.

- ## Method Details

  - ### values

    public static NumberFormat.Style[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NumberFormat.Style valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null